[Vm-dev] [commit][3364] The Unix build needs an extra dependency.

commits at squeakvm.org commits at squeakvm.org
Mon Jun 1 18:53:34 UTC 2015


Revision: 3364
Author:   eliot
Date:     2015-06-01 11:53:32 -0700 (Mon, 01 Jun 2015)
Log Message:
-----------
The Unix build needs an extra dependency.  Add a convenience to make makefiles.

Modified Paths:
--------------
    branches/Cog/platforms/unix/vm/Makefile.in

Added Paths:
-----------
    branches/Cog/build.linux32x86/makeallmakefiles

Property Changed:
----------------
    branches/Cog/platforms/Cross/vm/sqSCCSVersion.h

Added: branches/Cog/build.linux32x86/makeallmakefiles
===================================================================
--- branches/Cog/build.linux32x86/makeallmakefiles	                        (rev 0)
+++ branches/Cog/build.linux32x86/makeallmakefiles	2015-06-01 18:53:32 UTC (rev 3364)
@@ -0,0 +1,11 @@
+#!/bin/bash
+trap 'exit 2' HUP INT PIPE TERM
+for td in *.v3 *.spur; do
+	for d in $td/build*; do
+		if test -d "$d"; then
+			(cd $d;../../../platforms/unix/config/mkmf)
+		else
+			echo no $d directory found
+		fi
+	done
+done


Property changes on: branches/Cog/build.linux32x86/makeallmakefiles
___________________________________________________________________
Added: svn:executable
   + *


Property changes on: branches/Cog/platforms/Cross/vm/sqSCCSVersion.h
___________________________________________________________________
Modified: checkindate
   - Sat May 30 13:20:39 PDT 2015
   + Mon Jun  1 11:53:22 PDT 2015

Modified: branches/Cog/platforms/unix/vm/Makefile.in
===================================================================
--- branches/Cog/platforms/unix/vm/Makefile.in	2015-05-30 20:21:09 UTC (rev 3363)
+++ branches/Cog/platforms/unix/vm/Makefile.in	2015-06-01 18:53:32 UTC (rev 3364)
@@ -74,6 +74,9 @@
 # cogit.c merely includes specific a specific cogitPROCESSOR.c
 cogit$o : $(srcdir)/vm/cogitARMv5.c $(srcdir)/vm/cogitIA32.c
 
+# sqUnixHeartbeat.c includes sqSCCSVersion.h
+sqUnixHeartbeat$o : $(topdir)/platforms/Cross/vm/sqSCCSVersion.h
+
 # rebuild sqExtPrims sqUnixMain if config.h changes
 
 sqUnixExternalPrims$o sqUnixMain$o : ../config.h $(topdir)/platforms/unix/vm/dlfcn-dyld.c



More information about the Vm-dev mailing list